CREATE TABLE hts_sched_profile_units (
    SCHED_PROFILE_UNIT_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_PROFILE_UNIT_CODE       VARCHAR2(120)    NOT NULL,
    SCHED_GEN_PROFILE_ID          NUMBER(18, 0)    NOT NULL,
    ACTIVE_END_DATE               DATE         ,
    SCHED_UNIT_ID                 NUMBER(18, 0)    NOT NULL,
    DEPARTMENT_ID                 NUMBER(18, 0),
    LOCATION_ID                   NUMBER(18, 0),
    TIMEZONE_CODE                 VARCHAR2(400),
    FLOAT_POOL_DEPARTMENT_FLAG    VARCHAR2(4)  ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    SCHED_PROFILE_UNIT_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_PROFILE_UNIT_CODE       VARCHAR2(120)    NOT NULL,
    SCHED_GEN_PROFILE_ID          NUMBER(18, 0)    NOT NULL,
    ACTIVE_END_DATE               DATE         ,
    SCHED_UNIT_ID                 NUMBER(18, 0)    NOT NULL,
    DEPARTMENT_ID                 NUMBER(18, 0),
    LOCATION_ID                   NUMBER(18, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    TIMEZONE_CODE                 VARCHAR2(400),
    FLOAT_POOL_DEPARTMENT_FLAG    VARCHAR2(4)  ,
    CONSTRAINT pk_hts_sched_profile_units PRIMARY KEY (SCHED_PROFILE_UNIT_ID, SCHED_PROFILE_UNIT_ID)
);
